FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

# Remove samba recipe default configuration that we do not need
PACKAGECONFIG_remove = "acl cups ldap zeroconf"
PACKAGECONFIG_append = " systemd"

# FIX: QA Issue: samba rdepends on dbus-lib, but it isn't a build dependency
DEPENDS += "dbus"

# Only build for smb. Skip nmb and winbind
SYSTEMD_PACKAGES = "${PN}-base"
SYSTEMD_SERVICE_${PN}-base = "smb.service"

SRC_URI += "file://smb.conf"
SRC_URI += "file://18-avoid-get-config-by-native-ncurses.patch"
SRC_URI += "file://22-Set-systemd-dependencies-to-diskinit.patch"
SRC_URI += "file://23-Add-pidhigh-in-the-common-response-header.patch"
SRC_URI += "file://25-Add-smb-read-timeout-to-handle-network-disconnect.patch"
SRC_URI += "file://26-Revert-s3-Always-cache-idmapping-results-of-pdb-back.patch"

# Disable Actice Directory and winbind support
EXTRA_OECONF += "--without-ads"
EXTRA_OECONF += "--without-winbind"

# removed "idmap_ad" since Active Directory is not supported
SAMBA4_IDMAP_MODULES="idmap_rid,idmap_adex,idmap_hash,idmap_tdb2"

# Not strictly need but it's a handy tool (used by tests as well)
# RDEPENDS_${PN} += "smbclient"

do_install_append() {
	install -D -m 644 ${WORKDIR}/smb.conf ${D}${sysconfdir}/samba/smb.conf
	rm ${D}/usr/bin/nmblookup
	rm ${D}/usr/bin/smbcacls
	rm ${D}/usr/bin/smbspool
	rm ${D}/usr/bin/smbtar
	rm ${D}/usr/bin/smbtorture
	rm -r ${D}/usr/share/perl5
	rm ${D}${sbindir}/nmbd
	# rm ${D}${systemd_system_unitdir}/nmb.service
	# rm ${D}${systemd_system_unitdir}/samba.service
}
